package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TarmmovimientoarmasDTO implements Serializable {

    private static final long serialVersionUID = 938454862005044L;

    private String cmovimiento;

    private java.util.Date fecha;

    private Integer recordversion;

    private String factura;

    private String noregistro;

    private String justificacion;

    private Integer carma;

    private Integer personcodecomprador;

    private Integer personcodevendedor;

    private Integer tgenecatalogdetail;

        public String getCmovimiento() {
    return cmovimiento;
    }

        public void setCmovimiento(String cmovimiento) {
    this.cmovimiento = cmovimiento;
    }

        public java.util.Date getFecha() {
    return fecha;
    }

        public void setFecha(java.util.Date fecha) {
    this.fecha = fecha;
    }

        public Integer getRecordversion() {
    return recordversion;
    }

        public void setRecordversion(Integer recordversion) {
    this.recordversion = recordversion;
    }

        public String getFactura() {
    return factura;
    }

        public void setFactura(String factura) {
    this.factura = factura;
    }

        public String getNoregistro() {
    return noregistro;
    }

        public void setNoregistro(String noregistro) {
    this.noregistro = noregistro;
    }

        public String getJustificacion() {
    return justificacion;
    }

        public void setJustificacion(String justificacion) {
    this.justificacion = justificacion;
    }

        public Integer getCarma() {
    return carma;
    }

        public void setCarma(Integer carma) {
    this.carma = carma;
    }

        public Integer getPersoncodecomprador() {
    return personcodecomprador;
    }

        public void setPersoncodecomprador(Integer personcodecomprador) {
    this.personcodecomprador = personcodecomprador;
    }

        public Integer getPersoncodevendedor() {
    return personcodevendedor;
    }

        public void setPersoncodevendedor(Integer personcodevendedor) {
    this.personcodevendedor = personcodevendedor;
    }

        public Integer getTgenecatalogdetail() {
    return tgenecatalogdetail;
    }

        public void setTgenecatalogdetail(Integer tgenecatalogdetail) {
    this.tgenecatalogdetail = tgenecatalogdetail;
    }

}